using System.ComponentModel.DataAnnotations;

namespace AuthService.Data.Requests; 

/// <summary>
/// View Model to return a user to the origin of the request to get input on their updated password.
/// </summary>
public class RedirectPasswordRequestVm {
    /// <summary>
    /// Token generated by the system to validate the user has permissions to reset password.
    /// </summary>
    /// <example>"CfDJ8BrK8kI16thIvEKAXiaCocP7VZcTBf7QapAR2j%2BEEY47ocqULpsJSgY8wnd7xgBfpVrsHwZ83T968rEnTXxF2DRZfOdPSZhN5sZ861HXTRPf0k2cihxytse%2BTg7Y6A8M12HqpPAMpBxpVvinCLtM9O8mZs%2Bb0xPFEms6J%2FOgMUTuUMLDlMEJmY%2FNRCo6AKJWDg%3D%3D</example>
    [Required] 
    public string Token { get; set; } = "";

    /// <summary>
    /// The email of the user that requested the password reset.
    /// </summary>
    /// <example>lucinaravenwing.net@gmail.com</example>
    [Required] 
    public string Email { get; set; } = "";

    /// <summary>
    /// The origin of the request.
    /// </summary>
    /// <example>https://ygo.lucinaravenwing.net</example>
    [Required]
    public string Origin { get; set; } = "";
}